# eoEvalFuncCounter< EOT > Class Template Reference

Counts the number of evaluations actually performed, thus checks first if it has to evaluate.. More...

`#include <eoEvalFuncCounter.h>`

Inheritance diagram for eoEvalFuncCounter< EOT >:

List of all members.

## Public Member Functions

| eoEvalFuncCounter (eoEvalFunc< EOT > &_func, std::string _name="Eval. ")
virtual void | operator() (EOT &_eo)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

eoEvalFunc< EOT > & | func

## Detailed Description

### template<class EOT>
class eoEvalFuncCounter< EOT >

Counts the number of evaluations actually performed, thus checks first if it has to evaluate..

etc.

Definition at line 37 of file eoEvalFuncCounter.h.

The documentation for this class was generated from the following file:

- eoEvalFuncCounter.h